import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.table.*;
import javax.swing.event.*;

class pipe2Model extends AbstractTableModel
{
  Object[][] veri;
  String[] baslik={"Veri ","Dešer ","Birim"};
  pipe2 p1;

  public pipe2Model(pipe2 pi,double T,double P)
  {
  p1=pi;	  
  veri=p1.toString(T,P);
  }

  public int getRowCount() {return veri.length;}
  public int getColumnCount() {return baslik.length;}
  public Object getValueAt(int satir,int sutun) {return veri[satir][sutun];}
  public String getColumnName(int c) {return baslik[c];}
  public void setValueAt(Object val, int row, int col)
  {
    veri[row][col] = val;
   }

  public void setValues(pipe2 pi,double T,double P)
  {
  p1=pi;	  
  veri=p1.toString(T,P);
  }

  public boolean isCellEditable(int row, int col) {return true;}
}


